#include <Servo.h>

Servo servoDistrib;                       // create servo object for distributor  (Upper Servomotor)
Servo servoLauncher;                      // create servo object for launcher     (Lower Servomotor)

const int Digi_Switch_PIN = 1;            // OPTIONAL: Pin for On/Off switch. A switch can be used to stop the distributor, while charging the shuttles.

int angle_Drop_deg = 0;                   // distributor: angle for droping the shuttle
int angle_Block_deg = 90;                 // distributor: angle for blocking the shuttle
int angle_Charge_deg = 185;               // launcher:    angle for charging the shuttle
int angle_Release_deg = 135;              // launcher:    angle for launching the shuttle

void setup() {
  Serial.begin(9600);
  pinMode( Digi_Switch_PIN, INPUT );
  servoDistrib.attach(9);                 // wire the distributor (Upper Servomotor Signal pin) on pin 9
  servoLauncher.attach(10);               // wire the launcher    (Lower Servomotor Signal pin) on pin 10
}

void loop() {
  // ####### INIT POSITION ####################
  servoDistrib.write(angle_Block_deg);    // block distributor
  servoLauncher.write(angle_Charge_deg);  // bring launcher to charge position
  delay(1000);                            // wait for launcher to be in position
  
  // ####### OFF MODE #########################    // This part can be uncommented to use a switch on pin1
//  // If switch is OFF, just stop the loop here
//  if (digitalRead( Digi_Switch_PIN ) == LOW) {
//  delay(1000); 
//  return;
//  }
 
  // ####### CHARGE AND LAUNCH ################  
  servoDistrib.write(angle_Drop_deg);     // release the shuttle
  delay(300);                             // wait for the shuttle to drop
  servoDistrib.write(angle_Block_deg);    // block the shuttles in the distributor
  delay(500);                             // wait it's blocked
  servoLauncher.write(angle_Release_deg); // bring the launcher to the wheels
  delay(2000);                            // wait for the launch
}
